Get legacy org defaults settings
GET /api/organizations/llm
Get org-default settings through the deprecated /llm wrapper. The org is the request's effective org (X-Org-Id > API-key binding > user.current_org_id).
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
org_id | query | `string | null` | no |
X-Org-Id | header | `string | null` | no |
Responses
| Status | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|---|---|---|
agent_settings | `FaheemCodeAgentSettings | LLMAgentSettings | ACPAgentSettings` |
conversation_settings | ConversationSettings | no | — |
llm_api_key_set | boolean | no | — |
search_api_key | `string | null` | no |
Operation ID: get_legacy_org_defaults_settings_api_organizations_llm_get